/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 07/03/2025

es1C: Scrivere una funzione che, ricevuta una stringa,
ne restituisca il numero di caratteri alfabetici (esclusi
spazi, caratteri speciali, cifre, punteggiatura, ecc.)
Prototipo richiesto:
	unsigned alphacount(const char * src);
Esempio:
nel mezzo del cammin di nostra vita --> 29
*/

#include <iostream>

#define SIZE 100+1

using namespace std;

unsigned alphacount(const char * src);

int main(void) {
	char src[SIZE];
	
	cin.getline(src, SIZE);
	
	cout << alphacount(src);
	
	return 0;
}

unsigned alphacount(const char * src) {
	int contaChar = 0;
	
	for (int i = 0; src[i] != '\0'; i++) {
		if (isalnum(src[i])) {
			contaChar++;
		}
	}
	
	return contaChar;
}